<?php
ini_set("display_errors",0);
error_reporting(E_ALL);
/**
 *
 * @package	    Plati Online Module
 * @subpackage	Plati Online Module
 * @version     1.0.0
 * @description Plati Online Module
 * @copyright	  Copyright © 2013 - All rights reserved.
 * @license		  GNU General Public License v2.0
 * @author		  SoftPill.Eu
 * @author mail	mail@softpill.eu
 * @website		  www.softpill.eu
 *
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

if(isset($_REQUEST['spo_action'])&&$_REQUEST['spo_action']=='pay')
{
  if(isset($_REQUEST['working_module'])&&$_REQUEST['working_module']!=$module->id)
  {
    return;
  }
}

JHTML::_('behavior.modal');
$document=&JFactory::getDocument();
$document->addStyleSheet( juri::base().'modules/mod_simpleplationline/css/default.css' );

$params1  = getPlatiOnlineModParams($module->id);
$dchk=$params1['dchk'];
$lic=$params1['plationlinelic'];
$the_domain=getPlatiOnlineDomain();
if($the_domain)
{
  $chk=md5($lic.$the_domain);
  if($dchk!=$chk){return false;}
}

?>


<div class="moduletable<?php echo $params->get('moduleclass_sfx'); ?>">
<?php

$vendor_missing=JText::_( 'SPO_MODULE_ERR_VENDOR' );
$enc_key_missing=JText::_( 'SPO_MODULE_ERR_ENC_KEY' );
$enc_mode_missing=JText::_( 'SPO_MODULE_ERR_ENC_MODE' );
$payment_missing=JText::_( 'SPO_MODULE_ERR_PAYMENT' );
$product_name_missing=JText::_( 'SPO_MODULE_ERR_PRODUCT_NAME' );

$payment=$params->get('payment');
$payment_type=$params->get('payment_type');
$currency=$params->get('currency');
$payment_description=$params->get('payment_description');
$popup_description=$params->get('popup_description');
$button_text=$params->get('button_text');
$popup_button_text=$params->get('popup_button_text');
$vendor_name=trim($params->get('user'));
$enc_key=trim($params->get('enc_key'));
$enc_mode=trim($params->get('enc_mode'));

$default_country=($params->get('default_country')!="")?strtoupper($params->get('default_country')):"US";
$popup_width=($params->get('popup_width')+0)>0?$params->get('popup_width'):600;
$popup_height=($params->get('popup_height')+0)>0?$params->get('popup_height'):450;
$payment_type=$params->get('payment_type');
$amount_text=$params->get('amount_text');
$min_payment=$params->get('min_payment');
$product_name=$params->get('product_name');
$language=$params->get('language');
$test_mode=$params->get('test_mode');

if($vendor_name=='')
{
  //no vendor set error
  ?>
    <div class="spo_error"><?php echo $vendor_missing;?></div>
  <?php
}
else if($enc_key=='')
{
  //no vendor set error
  ?>
    <div class="spo_error"><?php echo $enc_key_missing;?></div>
  <?php
}
else if($enc_mode=='')
{
  //no vendor set error
  ?>
    <div class="spo_error"><?php echo $enc_mode_missing;?></div>
  <?php
}
else if($product_name=='')
{
  ?>
    <div class="spo_error"><?php echo $product_name_missing;?></div>
  <?php
}
else if(($payment=='' || ($payment+0)==0) && $payment_type==0)
{
  //no amount value set error
  ?>
    <div class="spo_error"><?php echo $payment_missing;?></div>
  <?php
}
else
{
  //seams ok
  $action=isset($_REQUEST['spo_action'])?$_REQUEST['spo_action']:"";
  $country_codes_arr=array('AF'=>'Afghanistan', 'AL'=>'Albania', 'DZ'=>'Algeria', 'AS'=>'American Samoa', 'AD'=>'Andorra', 'AO'=>'Angola', 'AI'=>'Anguilla', 'AQ'=>'Antarctica', 'AG'=>'Antigua and Barbuda', 'AR'=>'Argentina', 'AM'=>'Armenia', 'AW'=>'Aruba', 'AU'=>'Australia', 'AT'=>'Austria', 'AZ'=>'Azerbaijan', 'BS'=>'Bahamas', 'BH'=>'Bahrain', 'BD'=>'Bangladesh', 'BB'=>'Barbados', 'BY'=>'Belarus', 'BE'=>'Belgium', 'BZ'=>'Belize', 'BJ'=>'Benin', 'BM'=>'Bermuda', 'BT'=>'Bhutan', 'BO'=>'Bolivia', 'BA'=>'Bosnia and Herzegowina', 'BW'=>'Botswana', 'BV'=>'Bouvet Island', 'BR'=>'Brazil', 'IO'=>'British Indian Ocean Territory', 'BN'=>'Brunei Darussalam', 'BG'=>'Bulgaria', 'BF'=>'Burkina Faso', 'BI'=>'Burundi', 'KH'=>'Cambodia', 'CM'=>'Cameroon', 'CA'=>'Canada', 'XC'=>'Canary Islands', 'CV'=>'Cape Verde', 'KY'=>'Cayman Islands', 'CF'=>'Central African Republic', 'TD'=>'Chad', 'CL'=>'Chile', 'CN'=>'China', 'CX'=>'Christmas Island', 'CC'=>'Cocos (Keeling) Islands', 'CO'=>'Colombia', 'KM'=>'Comoros', 'CG'=>'Congo', 'CK'=>'Cook Islands', 'CR'=>'Costa Rica', 'CI'=>'Cote D\'Ivoire', 'HR'=>'Croatia', 'CU'=>'Cuba', 'CY'=>'Cyprus', 'CZ'=>'Czech Republic', 'DK'=>'Denmark', 'DJ'=>'Djibouti', 'DM'=>'Dominica', 'DO'=>'Dominican Republic', 'TP'=>'East Timor', 'XE'=>'East Timor', 'EC'=>'Ecuador', 'EG'=>'Egypt', 'SV'=>'El Salvador', 'GQ'=>'Equatorial Guinea', 'ER'=>'Eritrea', 'EE'=>'Estonia', 'ET'=>'Ethiopia', 'FK'=>'Falkland Islands (Malvinas)', 'FO'=>'Faroe Islands', 'FJ'=>'Fiji', 'FI'=>'Finland', 'FR'=>'France', 'FX'=>'France, Metropolitan', 'GF'=>'French Guiana', 'PF'=>'French Polynesia', 'TF'=>'French Southern Territories', 'GA'=>'Gabon', 'GM'=>'Gambia', 'GE'=>'Georgia', 'DE'=>'Germany', 'GH'=>'Ghana', 'GI'=>'Gibraltar', 'GR'=>'Greece', 'GL'=>'Greenland', 'GD'=>'Grenada', 'GP'=>'Guadeloupe', 'GU'=>'Guam', 'GT'=>'Guatemala', 'GN'=>'Guinea', 'GW'=>'Guinea-bissau', 'GY'=>'Guyana', 'HT'=>'Haiti', 'HM'=>'Heard and Mc Donald Islands', 'HN'=>'Honduras', 'HK'=>'Hong Kong', 'HU'=>'Hungary', 'IS'=>'Iceland', 'IN'=>'India', 'ID'=>'Indonesia', 'IR'=>'Iran (Islamic Republic of)', 'IQ'=>'Iraq', 'IE'=>'Ireland', 'IL'=>'Israel', 'IT'=>'Italy', 'JM'=>'Jamaica', 'JP'=>'Japan', 'XJ'=>'Jersey', 'JO'=>'Jordan', 'KZ'=>'Kazakhstan', 'KE'=>'Kenya', 'KI'=>'Kiribati', 'KP'=>'Korea, Democratic People\'s Republic of', 'KR'=>'Korea, Republic of', 'KW'=>'Kuwait', 'KG'=>'Kyrgyzstan', 'LA'=>'Lao People\'s Democratic Republic', 'LV'=>'Latvia', 'LB'=>'Lebanon', 'LS'=>'Lesotho', 'LR'=>'Liberia', 'LY'=>'Libyan Arab Jamahiriya', 'LI'=>'Liechtenstein', 'LT'=>'Lithuania', 'LU'=>'Luxembourg', 'MO'=>'Macau', 'MK'=>'Macedonia, The Former Yugoslav Republic of', 'MG'=>'Madagascar', 'MW'=>'Malawi', 'MY'=>'Malaysia', 'MV'=>'Maldives', 'ML'=>'Mali', 'MT'=>'Malta', 'MH'=>'Marshall Islands', 'MQ'=>'Martinique', 'MR'=>'Mauritania', 'MU'=>'Mauritius', 'YT'=>'Mayotte', 'MX'=>'Mexico', 'FM'=>'Micronesia, Federated States of', 'MD'=>'Moldova, Republic of', 'MC'=>'Monaco', 'MN'=>'Mongolia', 'ME'=>'Montenegro', 'MS'=>'Montserrat', 'MA'=>'Morocco', 'MZ'=>'Mozambique', 'MM'=>'Myanmar', 'NA'=>'Namibia', 'NR'=>'Nauru', 'NP'=>'Nepal', 'NL'=>'Netherlands', 'AN'=>'Netherlands Antilles', 'NC'=>'New Caledonia', 'NZ'=>'New Zealand', 'NI'=>'Nicaragua', 'NE'=>'Niger', 'NG'=>'Nigeria', 'NU'=>'Niue', 'NF'=>'Norfolk Island', 'MP'=>'Northern Mariana Islands', 'NO'=>'Norway', 'OM'=>'Oman', 'PK'=>'Pakistan', 'PW'=>'Palau', 'PA'=>'Panama', 'PG'=>'Papua New Guinea', 'PY'=>'Paraguay', 'PE'=>'Peru', 'PH'=>'Philippines', 'PN'=>'Pitcairn', 'PL'=>'Poland', 'PT'=>'Portugal', 'PR'=>'Puerto Rico', 'QA'=>'Qatar', 'RE'=>'Reunion', 'RO'=>'Romania', 'RU'=>'Russian Federation', 'RW'=>'Rwanda', 'KN'=>'Saint Kitts and Nevis', 'LC'=>'Saint Lucia', 'VC'=>'Saint Vincent and the Grenadines', 'WS'=>'Samoa', 'SM'=>'San Marino', 'ST'=>'Sao Tome and Principe', 'SA'=>'Saudi Arabia', 'SN'=>'Senegal', 'RS'=>'Serbia', 'SC'=>'Seychelles', 'SL'=>'Sierra Leone', 'SG'=>'Singapore', 'SK'=>'Slovakia (Slovak Republic)', 'SI'=>'Slovenia', 'SB'=>'Solomon Islands', 'SO'=>'Somalia', 'ZA'=>'South Africa', 'GS'=>'South Georgia and the South Sandwich Islands', 'ES'=>'Spain', 'LK'=>'Sri Lanka', 'XB'=>'St. Barthelemy', 'XU'=>'St. Eustatius', 'SH'=>'St. Helena', 'PM'=>'St. Pierre and Miquelon', 'SD'=>'Sudan', 'SR'=>'Suriname', 'SJ'=>'Svalbard and Jan Mayen Islands', 'SZ'=>'Swaziland', 'SE'=>'Sweden', 'CH'=>'Switzerland', 'SY'=>'Syrian Arab Republic', 'TW'=>'Taiwan', 'TJ'=>'Tajikistan', 'TZ'=>'Tanzania, United Republic of', 'TH'=>'Thailand', 'DC'=>'The Democratic Republic of Congo', 'TG'=>'Togo', 'TK'=>'Tokelau', 'TO'=>'Tonga', 'TT'=>'Trinidad and Tobago', 'TN'=>'Tunisia', 'TR'=>'Turkey', 'TM'=>'Turkmenistan', 'TC'=>'Turks and Caicos Islands', 'TV'=>'Tuvalu', 'UG'=>'Uganda', 'UA'=>'Ukraine', 'AE'=>'United Arab Emirates', 'GB'=>'United Kingdom', 'US'=>'United States', 'UM'=>'United States Minor Outlying Islands', 'UY'=>'Uruguay', 'UZ'=>'Uzbekistan', 'VU'=>'Vanuatu', 'VA'=>'Vatican City State (Holy See)', 'VE'=>'Venezuela', 'VN'=>'Viet Nam', 'VG'=>'Virgin Islands (British)', 'VI'=>'Virgin Islands (U.S.)', 'WF'=>'Wallis and Futuna Islands', 'EH'=>'Western Sahara', 'YE'=>'Yemen', 'ZM'=>'Zambia', 'ZW'=>'Zimbabwe');
  if($default_country!='RO')
  {
    $display_ro_states='display:none;';
  }
  if($action=='')
  {
  ?>
    <script type="text/javascript">
    var spoform<?php echo $module->id;?>='';
    function openSqueeze<?php echo $module->id;?>(id)
    {
    	var options = {size: {x: <?php echo $popup_width;?>, y: <?php echo $popup_height;?>}, onClose: function(a){a.innerHTML='';} };
      if(SqueezeBox.options)
      {
        SqueezeBox.options=null;
      }
    	SqueezeBox.initialize(options);
      var content='';
      if(spoform<?php echo $module->id;?>=='')
      {
        content=document.getElementById(id).innerHTML;
        spoform<?php echo $module->id;?>=content;
        document.getElementById(id).innerHTML='';
      }
      else
      {
        content=spoform<?php echo $module->id;?>;
      }
    	SqueezeBox.setContent('string',content);
      return false;
    }
    function validatespoform<?php echo $module->id;?>()
    {
      var fname=document.getElementById('sspBillingFirstnames<?php echo $module->id;?>');
      var lname=document.getElementById('sspBillingSurname<?php echo $module->id;?>');
      var address=document.getElementById('sspBillingAddress1<?php echo $module->id;?>');
      var city=document.getElementById('sspBillingCity<?php echo $module->id;?>');
      var postcode=document.getElementById('sspBillingPostCode<?php echo $module->id;?>');
      var email=document.getElementById('sspCustomerEMail<?php echo $module->id;?>');
      var phone=document.getElementById('sspCustomerPhone<?php echo $module->id;?>');
      var country=document.getElementById('sspBillingCountry<?php echo $module->id;?>');
      var ro_state=document.getElementById('ro_state<?php echo $module->id;?>');
      var other_state=document.getElementById('sspBillingState<?php echo $module->id;?>');
      <?php
      if($payment_type==1)
      {
        ?>
      var amount=document.getElementById('payment_amount<?php echo $module->id;?>');
      var min_amount=parseFloat(<?php echo $min_payment;?>);
        <?php
      }
      ?>
      <?php
      if($payment_type==1)
      {
        ?>
        var the_amount=parseFloat(amount.value)+0;
        if(isNaN(the_amount))
        {
          alert('<?php echo JText::_( 'SPO_MODULE_ERR_NAN' );?>');
          amount.focus();
          return false;
        }
        else if(the_amount<min_amount)
        {
          alert('<?php echo JText::_( 'SPO_MODULE_ERR_LESS_AMNT' );?>');
          amount.focus();
          return false;
        }
        <?php
      }
      ?>
      if(fname.value=='')
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_FNAME' );?>');
        fname.focus();
        return false;
      }
      if(lname.value=='')
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_LNAME' );?>');
        lname.focus();
        return false;
      }
      if(address.value=='')
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_ADDR' );?>');
        address.focus();
        return false;
      }
      if(city.value=='')
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_CITY' );?>');
        city.focus();
        return false;
      }
      if(postcode.value=='')
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_POSTCODE' );?>');
        postcode.focus();
        return false;
      }
      if(country.value=='RO' && ro_state.value=='')
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_STATE' );?>');
        ro_state.focus();
        return false;
      }
      if(country.value!='RO' && other_state.value=='')
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_STATE2' );?>');
        other_state.focus();
        return false;
      }
      if(email.value=='')
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_EMAIL' );?>');
        email.focus();
        return false;
      }
      if(!validateEmail(email.value))
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_EMAIL_VALID' );?>');
        email.focus();
        return false;
      }
      if(phone.value=='')
      {
        alert('<?php echo JText::_( 'SPO_MODULE_ERR_PHONE' );?>');
        phone.focus();
        return false;
      }
      return true;
    }
    function validateEmail(email) { 
      var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
      return re.test(email);
    }
    function handleStates<?php echo $module->id;?>(obj)
    {
      if(obj.value=='RO')
      {
        document.getElementById('ro_state_row<?php echo $module->id;?>').style.display='';
        document.getElementById('other_state_row<?php echo $module->id;?>').style.display='none';
      }
      else
      {
        document.getElementById('ro_state_row<?php echo $module->id;?>').style.display='none';
        document.getElementById('other_state_row<?php echo $module->id;?>').style.display='';
      }
    }
    </script>
    <div id="spo_popup_content<?php echo $module->id;?>" class="spo_popup_content" style="display:none;">
      <div class="spo_popup_head">
        <?php echo $popup_description;?>
      </div>
      <div class="spo_popup_content">
        <form action="" method="POST" name="spo<?php echo $module->id;?>" onSubmit="return validatespoform<?php echo $module->id;?>();">
          <input type="hidden" name="working_module" value="<?php echo $module->id?>" />
          <input type="hidden" name="spo_action" value="pay" />
          <table width="100%" class="spo_popup_tbl">
          <tbody>
          <?php
          if($payment_type==1)
          {
            if($currency=='USD')
            {
              $currency_str='$';
            }
            else if($currency=='EUR')
            {
              $currency_str='&euro;';
            }
            else
            {
              $currency_str=$currency;
            }
            ?>
            <tr class="spo_popup_row">
              <td>
                <label for="payment_amount<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo $amount_text;?></label>
              </td>
              <td>
                <input type="text" class="spo_popup_payment_input" name="payment_amount" id="payment_amount<?php echo $module->id;?>" value="<?php echo $min_payment;?>" />
                <span class="spo_popup_curr_sym"><?php echo $currency_str;?></span>
              </td>
            </tr>
            <?php
          }
          ?>
            <tr class="spo_popup_row">
              <td>
                <label for="sspBillingFirstnames<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_( 'SPO_MODULE_BILLINGFIRSTNAMES' );?></label>
              </td>
              <td>
                <input type="text" class="spo_popup_input" name="BillingFirstnames" id="sspBillingFirstnames<?php echo $module->id;?>" value="" />
              </td>
            </tr>
            <tr class="spo_popup_row">
              <td>
                <label for="sspBillingSurname<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_( 'SPO_MODULE_BILLINGSURNAME' );?></label>
              </td>
              <td>
                <input type="text" class="spo_popup_input" name="BillingSurname" id="sspBillingSurname<?php echo $module->id;?>" value="" />
              </td>
            </tr>
            <tr class="spo_popup_row">
              <td>
                <label for="sspBillingAddress1<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_( 'SPO_MODULE_BILLINGADDRESS1' );?></label>
              </td>
              <td>
                <input type="text" class="spo_popup_input" name="BillingAddress1" id="sspBillingAddress1<?php echo $module->id;?>" value="" />
              </td>
            </tr>
            <tr class="spo_popup_row">
              <td>
                <label for="sspBillingCity<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_( 'SPO_MODULE_BILLINGCITY' );?></label>
              </td>
              <td>
                <input type="text" class="spo_popup_input" name="BillingCity" id="sspBillingCity<?php echo $module->id;?>" value="" />
              </td>
            </tr>
            <tr class="spo_popup_row">
              <td>
                <label for="sspBillingPostCode<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_( 'SPO_MODULE_BILLINGPOSTCODE' );?></label>
              </td>
              <td>
                <input type="text" class="spo_popup_input" name="BillingPostCode" id="sspBillingPostCode<?php echo $module->id;?>" value="" />
              </td>
            </tr>
            <tr class="spo_popup_row">
              <td>
                <label for="sspBillingCountry<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_( 'SPO_MODULE_BILLINGCOUNTRY' );?></label>
              </td>
              <td>
                <select onChange="javascript:handleStates<?php echo $module->id;?>(this);" id="sspBillingCountry<?php echo $module->id;?>" name="BillingCountry" class="spo_popup_input_co">
                  <?php
                    foreach($country_codes_arr as $code=>$name)
                    {
                      $selected_str="";
                      if($code==$default_country)
                      {
                        $selected_str=' selected="selected"';
                      }
                      ?>
                      <option<?php echo $selected_str;?> value="<?php echo $code;?>"><?php echo $name;?></option>
                      <?php
                    }
                  ?>
                </select>
              </td>
            </tr>
            <tr class="spo_popup_row" id="other_state_row<?php echo $module->id;?>" style="display:none;">
              <td><label for="sspBillingState<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_('SPO_MODULE_STATE');?></label></td>
              <td><input type="text" class="spo_popup_input" name="BillingState" id="sspBillingState<?php echo $module->id;?>" value="" /></td>
            </tr>
            <tr class="spo_popup_row" id="ro_state_row<?php echo $module->id;?>" style="<?php echo $display_ro_states;?>">
              <td><label for="ro_state<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_('SPO_MODULE_STATE');?></label></td>
              <td>
                <select id="ro_state<?php echo $module->id;?>" name="ro_state" class="spo_popup_input_co">
                  <option value="" selected="">
                  </option>       
                  <option value="B">Bucuresti     
                  </option>       
                  <option value="AB">Alba     
                  </option>       
                  <option value="AR">Arad     
                  </option>       
                  <option value="AG">Arges     
                  </option>       
                  <option value="BC">Bacau     
                  </option>       
                  <option value="BH">Bihor     
                  </option>       
                  <option value="BN">Bistrita-Nasaud     
                  </option>       
                  <option value="BT">Botosani     
                  </option>       
                  <option value="BR">Braila     
                  </option>       
                  <option value="BV">Brasov     
                  </option>       
                  <option value="BZ">Buzau     
                  </option>       
                  <option value="CL">Calarasi     
                  </option>       
                  <option value="CS">Caras-Severin     
                  </option>       
                  <option value="CJ">Cluj     
                  </option>       
                  <option value="CT">Constanta     
                  </option>       
                  <option value="CV">Covasna     
                  </option>       
                  <option value="DB">Dambovita     
                  </option>       
                  <option value="DJ">Dolj     
                  </option>       
                  <option value="GL">Galati     
                  </option>       
                  <option value="GR">Giurgiu     
                  </option>       
                  <option value="GJ">Gorj     
                  </option>       
                  <option value="HR">Harghita     
                  </option>       
                  <option value="HD">Hunedoara     
                  </option>       
                  <option value="IL">Ialomita     
                  </option>       
                  <option value="IS">Iasi     
                  </option>       
                  <option value="IF">Ilfov     
                  </option>       
                  <option value="MM">Maramures     
                  </option>       
                  <option value="MH">Mehedinti     
                  </option>       
                  <option value="MS">Mures     
                  </option>       
                  <option value="NT">Neamt     
                  </option>       
                  <option value="OT">Olt     
                  </option>       
                  <option value="PH">Prahova     
                  </option>       
                  <option value="SJ">Salaj     
                  </option>       
                  <option value="SM">Satu Mare     
                  </option>       
                  <option value="SB">Sibiu     
                  </option>       
                  <option value="SV">Suceava     
                  </option>       
                  <option value="TR">Teleorman     
                  </option>       
                  <option value="TM">Timis     
                  </option>       
                  <option value="TL">Tulcea     
                  </option>       
                  <option value="VL">Valcea     
                  </option>       
                  <option value="VS">Vaslui     
                  </option>       
                  <option value="VN">Vrancea     
                  </option>       
                </select>
              </td>
            </tr>
            <tr class="spo_popup_row">
              <td>
                <label for="sspCustomerEMail<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_( 'SPO_MODULE_EMAIL' );?></label>
              </td>
              <td>
                <input type="text" class="spo_popup_input" name="CustomerEMail" id="sspCustomerEMail<?php echo $module->id;?>" value="" />
              </td>
            </tr>
            <tr class="spo_popup_row">
              <td>
                <label for="sspCustomerPhone<?php echo $module->id;?>" class="spo_popup_lbl"><?php echo JText::_( 'SPO_MODULE_PHONE' );?></label>
              </td>
              <td>
                <input type="text" class="spo_popup_input" name="CustomerPhone" id="sspCustomerPhone<?php echo $module->id;?>" value="" />
              </td>
            </tr>
            <tr class="spo_popup_submit_row">
              <td colspan="2">
                <input class="spo_submit_pay" type="submit" value="<?php echo $popup_button_text;?>" />
              </td>
            </tr>
            </tbody>
          </table>
        </form>
      </div>
    </div>
    <div class="spo_wrp">
      <div class="spo_description">
        <?php echo $payment_description;?>
      </div>
      <input class="spo_submit_pay" style="float:none;" type="button" value="<?php echo $button_text;?>" onClick="return openSqueeze<?php echo $module->id;?>('spo_popup_content<?php echo $module->id;?>');" />
    </div>
    <?php
  }
  else if($action=='pay')
  {
    $error_check=0;
    $payment_amount=isset($_POST['payment_amount'])?$_POST['payment_amount']:0;
    $BillingFirstnames=isset($_POST['BillingFirstnames'])?$_POST['BillingFirstnames']:"";
    $BillingSurname=isset($_POST['BillingSurname'])?$_POST['BillingSurname']:"";
    $BillingAddress1=isset($_POST['BillingAddress1'])?$_POST['BillingAddress1']:"";
    $BillingCity=isset($_POST['BillingCity'])?$_POST['BillingCity']:"";
    $BillingPostCode=isset($_POST['BillingPostCode'])?$_POST['BillingPostCode']:"";
    $BillingCountry=isset($_POST['BillingCountry'])?$_POST['BillingCountry']:"";
    $CustomerEMail=isset($_POST['CustomerEMail'])?$_POST['CustomerEMail']:"";
    $CustomerPhone=isset($_POST['CustomerPhone'])?$_POST['CustomerPhone']:"";
    $ro_state=isset($_POST['ro_state'])?$_POST['ro_state']:"";
    $BillingState=isset($_POST['BillingState'])?$_POST['BillingState']:"";
    
    if($BillingCountry=='RO')
    {
      $state=$ro_state;
    }
    else
    {
      $state=$BillingState;
    }
    
    if($payment_type==1)
    {
      $payment=$payment_amount+0;
      if($payment==0 || $payment<$min_payment)
      {
        $error_check=1;
      }
    }
    if($payment==0)
    {
      $error_check=1;
    }
    if($BillingFirstnames=='')
    {
      $error_check=1;
    }
    if($BillingSurname=='')
    {
      $error_check=1;
    }
    if($BillingAddress1=='')
    {
      $error_check=1;
    }
    if($BillingCity=='')
    {
      $error_check=1;
    }
    if($BillingPostCode=='')
    {
      $error_check=1;
    }
    if($BillingCountry=='')
    {
      $error_check=1;
    }
    if($error_check)
    {
      //error here
      ?>
      <div class="spo_submit_error"><?php echo JText::_( 'SPO_MODULE_SUBMIT_ERROR' );?></div>
      <?php
    }
    else
    {
      //all good submit the form
      
      $payment+=0;
      $payment=number_format($payment,2);
      
      $my_class = new PO3();
      $strVendorTxCode='spo-'.$my_class->generate_random_letters(4);
  		$my_class->HostName = 'https://secure2.plationline.ro/';
  		$my_class->LoginID = $vendor_name;
  		$my_class->KeyEnc = $enc_key;
  		$my_class->KeyMod = $enc_mode;
  
  		$my_class->amount = $payment;
  		$my_class->currency = $currency;
  		$my_class->OrderNumber = $strVendorTxCode;
  		$my_class->action = "2"; // Cod Autentificare si Autorizare conform anexa F
  
  		$rez = $my_class->InsertHash_Auth();
      $lang=$language;
  		$coscump = "<start_string>";
			$coscump .= "<item>";
			$coscump .= "<ProdID>".$module->id."</ProdID>";
			$coscump .= "<qty>1</qty>";
			$coscump .= "<itemprice>".$payment."</itemprice>";
			$coscump .= "<name>".$product_name."</name>";
			$coscump .= "<period></period>"; // Neimplementat de PO
			$coscump .= "<rec_id></rec_id>"; // Neimplementat de PO
			$coscump .= "<description></description>";
			$coscump .= "<pimg></pimg>"; // Neimplementat de PO
			$coscump .= "<rec_price></rec_price>"; // Neimplementat de PO
			$coscump .= "<vat>0</vat>";
			$coscump .= "<lang_id>".$lang."</lang_id>";
			$coscump .= "<stamp>".date("m d Y h:i:s a")."</stamp>";
			$coscump .= "<on_stoc>1</on_stoc>";
			$coscump .= "<prodtype_id>1</prodtype_id>";
			$coscump .= "<categ_id></categ_id>"; // Neimplementat de PO
			$coscump .= "<merchLoginID></merchLoginID>"; // Neimplementat de PO
			$coscump .= "</item>";
  
  		$coscump .= "<coupon>";
  		$coscump .= "<key></key>";
  		$coscump .= "<value></value>";
  		$coscump .= "<percent></percent>";
  		$coscump .= "<workingname></workingname>";
  		$coscump .= "<type></type>";
  		$coscump .= "<scop></scop>";
  		$coscump .= "</coupon>";
  		$coscump .= "<shipping>";
  		$coscump .= "<type>0</type>"; //de modificat daca implementam mai multe modalitati de transport
  		$coscump .= "<price>0</price>";
  		$coscump .= "<vat>0</vat>";
  		$coscump .= "<pimg></pimg>";
  		$coscump .= "</shipping>";
  
  		$coscump .="</start_string>";
      $post_variables = Array(
  			"F_Order_String" => $coscump,
  			"F_Message" => $rez["F_Message"],
  			"F_Crypt_Message" => $rez["F_Crypt_Message"],
  			"F_Action" => $rez["F_Action"],
  			"F_Show_Form" => "1",
  			"F_Login" => $my_class->LoginID,
  			"F_Action" => $my_class->action,
  			"F_Lang" => $lang,     // de modificat daca adaugam mai multe limbi in magazin
  			"F_Amount" => $payment,
  			"F_Currency" => $currency,
  			"F_Order_Number" => $strVendorTxCode,
  			"F_First_Name" => $BillingFirstnames,
  			"F_Last_Name" => $BillingSurname,
  			"F_Address" => $BillingAddress1,
  			"F_Zip" => $BillingPostCode,
  			"F_City" => $BillingCity,
  			"F_State" => $state,
  			"F_Country" => $BillingCountry,
  			"F_Email" => $CustomerEMail,
  			"F_Phone" => $CustomerPhone,
  			
  			"F_Ship_To_First_name" => $BillingFirstnames,
  			"F_Ship_To_Last_name" => $BillingSurname,
  			"F_Ship_To_Address" => $BillingAddress1,
  			"F_Ship_To_City" => $BillingCity,
  			"F_Ship_To_State" => $state,
  			"F_Ship_To_Zipcode" => $BillingPostCode,
  			"F_Ship_To_Country" =>  $BillingCountry,
  		);
  		if($test_mode == 'TEST'){
  			$post_variables["F_Test_Request"]=1;
  		}
      
      $url = $my_class->HostName;
      
      $spo_button='Click here to Pay';
      
      $html = '<html><head><title>Redirection</title></head><body><div style="margin: auto; text-align: center;">';
  		$html.= "\n".'<form name="spo" id="spo" action="'.$url.'" method="post">';
  	  foreach( $post_variables as $name => $value ) {
  			$html.= '<input type="hidden" name="'.$name.'" value="'.htmlspecialchars($value).'" />';
  		}
  		$html.= '<input type="submit"  value="'.$spo_button.'" />';
  		$html.= '</form></div>';
  		$html.= ' <script type="text/javascript">';
  		$html.= ' document.spo.submit();';
  		$html.= ' </script></body></html>';
      
      ob_end_clean();
      
      echo $html;exit;
    }
  }
}

?>
</div>
